Issue 119806 - Re-enable sorting in application help
Re-enable sorting in application help
Status: RESOLVED FIXED
Product: documentation
Classification: Unclassified
Component: Online help
AOO340-dev
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: Regina Henschel
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 22:05 UTC by Regina Henschel
Modified: 2013-07-11 13:29 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Has been committed (1.01 KB, patch)
2012-06-06 20:22 UTC, Regina Henschel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2012-06-05 22:05:49 UTC
Sorting in help was disabled for issue 70462. In the meantime libxslt has got some fixes, so that sorting now works, see http://mail-archives.apache.org/mod_mbox/incubator-ooo-dev/201205.mbox/%3C20120530202139.GA26167%40localhost%3E

Sorting is needed for the help for Calc functions, because each help page contains a lot of functions.
Comment 1 Regina Henschel 2012-06-05 22:06:28 UTC
Will work o it.
Comment 2 Uwe Fischer 2012-06-06 11:56:20 UTC
Regina, 
may be you can also discuss issue 
https://issues.apache.org/ooo/show_bug.cgi?id=71289
In that Child Work Space named hccalc01, every Calc function got its own Help page. This makes sorting and expanding the Calc funtions Help very easy.
Unfortunately this CWS was never approved for integration due to high word count and too high number of changes for the version control system in use at that time.
(And perhaps you or someone else wants to volunteer as default owner of Apache OpenOffice documentation issues? I don't want to be the owner of issues any more.)
Comment 3 Regina Henschel 2012-06-06 20:22:55 UTC
Created attachment 78074 [details]
Has been committed

The changes were committed with r1347090.
Comment 4 Regina Henschel 2012-06-06 20:25:37 UTC
(In reply to comment #2)
> Regina, 
> may be you can also discuss issue 
> https://issues.apache.org/ooo/show_bug.cgi?id=71289
> In that Child Work Space named hccalc01, every Calc function got its own
> Help page. This makes sorting and expanding the Calc funtions Help very easy.
> Unfortunately this CWS was never approved for integration due to high word
> count and too high number of changes for the version control system in use
> at that time.

It cannot be integrated as is, because the files have changed in the meantime and the cws has no Apache License.
Comment 5 Du Jing 2012-06-20 08:44:16 UTC
do you mean the "help" in the AOO application toolbar?can you give a description of the issue from user?
Comment 6 Regina Henschel 2012-06-20 14:03:13 UTC
Start with a spreadsheet and press F1 to open the help.
Goto AVERAGE in the 'Index' page and click on 'Display' to show its help page.

This help page does not only contain AVERAGE but a lot of other functions too. The order of these functions should be alphabetic.

This applies to other help pages with several functions too, for example the help page for function IMCOS.

Those help pages have the markup for sorting, but in transforming the xhp-format to html for the help browser, sorting had been disabled. This issue is for enabling sorting again. Using a current build from trunk you should get the functions in alphabetic order, because the patch is committed to trunk already.